# esi-db-snarf

Scripts to snarf ESI for data and cramming it into a sqlite database.


# ESI Exploration
Required to find adjacent systems

Reference: https://esi.evetech.net/ui/

* `curl -H "accept: application/json" https://esi.evetech.net/v1/universe/regions/`
* `curl -H "accept: application/json" https://esi.evetech.net/v1/universe/regions/10000027`
* `curl -H "accept: application/json" https://esi.evetech.net/v1/universe/constellations/20000336/`
* `curl -s -H "accept: application/json" https://esi.evetech.net/v4/universe/systems/30002290/ | python3 -m json.tool`
* `curl -s -H "accept: application/json" https://esi.evetech.net/v1/universe/stargates/50000569/ | python3 -m json.tool`

# Tables

## Systems
* id
* name
* constellation_id
* constellation_name
* region_id
* region_name

## Gates
* sys_from
* sys_to
